Range-v3 Range algorithms, views, and actions for the Standard Library |

Instances and minimal complete definitions | Friends | Static Public Member Functions | List of all members
ranges::views::view_base Struct Reference
Inheritance diagram for ranges::views::view_base:

## Friends
template<typename Rng , typename View >
constexpr friend auto | operator| (Rng &&, view< View > const &) -> Rng requires range< Rng > &&(!viewable_range< Rng >)=delete
template<typename Rng , typename View >
requires defer::viewable_range< Rng > &&constexpr defer::invocable< View, Rng > friend auto | operator| (Rng &&rng, view< View > vw)
template<typename View1 , typename View2 >
constexpr friend auto | operator| (view< View1 > vw1, view< View2 > vw2)

## Static Public Member Functions
template<typename View >
constexpr static View && | get_view (view< View > &&vw) noexcept